Skip to main content
`Ctrl`+`K`

# DMSetOutputSequenceNumber

Set the sequence number/value for output

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetOutputSequenceNumber(DM dm, PetscInt num, PetscReal val)

## Input Parameters

- dm - The original `DM`

- num - The output sequence number

- val - The output sequence value

## Note

This is intended for output that should appear in sequence, for instance a set of timesteps in an `PETSCVIEWERHDF5` file, or a set of realizations of a stochastic system.

## See Also

DM Basics, `DM`, `VecView()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex48.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/tutorials/ex18.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/ts/tutorials/ex53.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex77.c
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/tutorials/ex76.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages